Bug 30371 - Fix media controls rendering for Chromium Mac
Summary: Fix media controls rendering for Chromium Mac
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: 528+ (Nightly build)
Hardware: All OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-14 20:04 PDT by Andrew Scherkus
Modified: 2009-10-19 09:08 PDT (History)
4 users (show)

See Also:


Attachments
Round 1 (1.29 KB, patch)
2009-10-14 20:06 PDT, Andrew Scherkus
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Scherkus 2009-10-14 20:04:35 PDT
Boiled down to a GraphicsContextSkia vs. GraphicsContextCG difference with drawRect().  I wasn't drawing with a stroke so switching to fillRect() makes more sense anyway.
Comment 1 Andrew Scherkus 2009-10-14 20:06:35 PDT
Created attachment 41201 [details]
Round 1
Comment 2 Eric Seidel (no email) 2009-10-15 11:59:00 PDT
It seems that whoever is the gardner needs to be warned about this patch.  Sucks that CR test results are not stored @ webkit.org
Comment 3 Eric Seidel (no email) 2009-10-15 11:59:33 PDT
Comment on attachment 41201 [details]
Round 1

I'm OK with this change.  I don't think I should be the one to set cq+ though, since the gardner needs to know about this change before it happens.
Comment 4 Andrew Scherkus 2009-10-15 12:02:46 PDT
No fear!!  Rebaseline is ready http://codereview.chromium.org/276041/show

I'll ping the gardener
Comment 5 Eric Seidel (no email) 2009-10-15 12:49:57 PDT
I am cautious...  I have been too oft (and too oft wrongly!) implicated in tree-breaking crimes involving WebKit! :)
Comment 6 Yong Li 2009-10-19 08:58:48 PDT
Comment on attachment 41201 [details]
Round 1

Let commit bot land it
Comment 7 WebKit Commit Bot 2009-10-19 09:08:29 PDT
Comment on attachment 41201 [details]
Round 1

Clearing flags on attachment: 41201

Committed r49787: <http://trac.webkit.org/changeset/49787>
Comment 8 WebKit Commit Bot 2009-10-19 09:08:33 PDT
All reviewed patches have been landed.  Closing bug.